Bug 1473343 - Jenkins Image 2.32-8 comes with wrong plugins
Jenkins Image 2.32-8 comes with wrong plugins
Status: CLOSED NEXTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
Dongbo Yan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 10:37 EDT by Javier Ramirez
Modified: 2017-08-16 15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The jenkins plugin install script did not handle plugin dependency resolution correctly. Consequence: Incorrect levels of plugin dependencies could be installed when using s2i to install new plugins in a custom build jenkins image. Fix: The script has been fixed to handle plugin dependency resolution correctly. Result: The correct dependency levels will be installed when adding plugins via the s2i assemble script.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 14:46:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log (23.98 KB, text/plain)
2017-07-26 05:50 EDT, Dongbo Yan
no flags Details

  None (edit)
Description Javier Ramirez 2017-07-20 10:37:21 EDT
Description of problem:
When installed plugins using layering method, and one of the plugins is "workflow-scm-step" it fails with:

SEVERE: Failed Loading plugin Pipeline: SCM Step v2.6 (workflow-scm-step)
java.io.IOException: Pipeline: SCM Step v2.6 failed to load.
 - You must update Jenkins from v2.32.2 to v2.60 or later to run this plugin.

Version-Release number of selected component (if applicable):
openshift3-jenkins-2-rhel7-2.32-8

How reproducible:
Always

Steps to Reproduce:
1.Use the layering method to add some plugins:
active-directory:2.4
analysis-collector:1.50
analysis-core:1.84
audit-trail:2.2
authentication-tokens:1.3
blueocean:1.0.1
bouncycastle-api:2.16.0
chucknorris:1.0
copy-to-slave:1.4.4
compact-columns:1.10
dashboard-view:2.9.10
dependency-check-jenkins-plugin:1.4.5
dropdown-viewstabbar-plugin:1.7
email-ext:2.57
external-monitor-job:1.7
extra-columns:1.17
gradle:1.26
greenballs:1.15
jira:2.3
jobConfigHistory:2.15
ldap:1.14
maven-plugin:2.15.1
m2release:0.14.0
multiple-scms:0.6
nodejs:1.1.2
oauth-credentials:0.3
pam-auth:1.3
parameterized-trigger:2.33
refit:0.3.1
reverse-proxy-auth-plugin:1.5
role-strategy:2.3.2
sectioned-view:1.20
sonar:2.5
ssh-agent:1.14
ssh-slaves:1.13
tasks:4.50
timestamper:1.8.8
token-macro:2.0
translation:1.15
view-job-filters:1.27
violations:0.7.11
warnings:4.60
2. 
3.

Actual results:
Fails with the above message

Expected results:

To use the proper versions

Additional info:
It worked when adding the following plugins:
workflow-scm-step:2.4
workflow-job:2.11.1
Comment 2 Ben Parees 2017-07-21 17:11:54 EDT
There was an issue in the dependency resolution script, it's been fixed as part of 3.6.  You can get the new script here:
https://github.com/openshift/jenkins/blob/master/2/contrib/jenkins/install-plugins.sh

or confirm the fix using our centos image (docker.io/openshift/jenkins-2-centos7) which already has the fix.
Comment 3 Dongbo Yan 2017-07-26 05:50 EDT
Created attachment 1304673 [details]
build log
Comment 4 Dongbo Yan 2017-07-26 05:51:07 EDT
Verified
docker build with this dockerfile
FROM openshift/jenkins-2-centos7
COPY plugins.txt /plugins.txt
RUN /usr/local/bin/install-plugins.sh /plugins.txt

could build image successfully without error

build log--
 attachment 1304673 [details]

Note You need to log in before you can comment on or make changes to this bug.